#include <OneWire.h>
#include <DallasTemperature.h>
#include <Wire.h>
#include <Adafruit_SSD1306.h>
Adafruit_SSD1306 display(4);
#include <Adafruit_GFX.h>
#include<SoftwareSerial.h>

SoftwareSerial mySerial(0,1);

// OLED display TWI address
#define OLED_ADDR   0x3C
#define ONE_WIRE_BUS 5
OneWire oneWire(ONE_WIRE_BUS);
DallasTemperature sensors(&oneWire);

void setup()

{  
 // Start up the library 
 sensors.begin();

   // initialize and clear display
      display.begin(SSD1306_SWITCHCAPVCC, 0x3C);

  display.clearDisplay();
  display.display();

  // display a pixel in each corner of the screen
  display.drawPixel(0, 0, WHITE);
  display.drawPixel(127, 0, WHITE);
  display.drawPixel(0, 63, WHITE);
  display.drawPixel(127, 63, WHITE);

  // display a line of text
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(27,30);
  display.print("Hello, world!");

  // update display with all of the above graphics
  display.display();

    }



void loop(){
 // call sensors.requestTemperatures() to issue a global temperature 
 // request to all devices on the bus 
/********************************************************************/ 
sensors.requestTemperatures(); // Send the command to get temperature readings  
  float t = sensors.getTempCByIndex(0);
  mySerial.print("Temperature is: ");
  mySerial.println(t); // Why "byIndex"?
// Serial.println(sensors.getTempCByIndex(0));
   // You can have more than one DS18B20 on the same bus.  
   // 0 refers to the first IC on the wire 
  //delay(4000); 
/********************************************************************/
  float u = sensors.getTempCByIndex(1);
  float d = ((17.502*t)/(240.97+t)); // Equation for Humidity
  float e = 2.7183;
  float g = 6.112*(pow(e,d));
  float j = ((17.502*u)/(240.97+u));
  float k = 2.7183;
  float m = 6.112*(pow(k,j));
  float n = (m-(0.6687*(1+0.00115*u)*(t-u)))/g*100; //Humidity upto 2 digit

 // put your main code here, to run repeatedly:
  }
